package cn.superdesk.uniorder.dubbo.facade.organisation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.organisation.UnifiedSupplierCostConfig;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dto.param.organisation.UnifiedSupplierQueryCriteria;

import java.util.List;
import java.util.Map;

public interface DubboUnifiedSupplierCostConfigService {

	R<List<UnifiedSupplierCostConfig>> getDataByPage(UnifiedSupplierQueryCriteria criteria, int pageNum, int pageSize);

	Map<String, Object> addObj(UnifiedSupplierCostConfig param, LoginSysUser loginSysUser);

	Map<String, Object> updateObj(UnifiedSupplierCostConfig param, LoginSysUser loginSysUser);

	void delObj(Long id);

	UnifiedSupplierCostConfig findBySaleId(Long saleId);
}
